IEEE1284_CLAIM(3)

NAME
ieee1284_claim - claim access to the port

SYNOPSIS

#include <ieee1284.h>

int ieee1284_claim(struct parport *port);

DESCRIPTION

With the exception of ieee1284_get_deviceid(3), ieee1284_claim must be called on an open port before any other libieee1284 function for accessing a device on it.

RETURN VALUE

E1284_OK
    Success. Note that, unless the F1284_EXCL flag was specified to start with, the port should be released within a “reasonable” amount of time.

E1284_NOMEM
    There is not enough memory.

E1284_INVALIDPORT
    The port parameter is invalid (for instance, it might not have been opened yet).

E1284_SYS
    There was a problem at the operating system level. The global variable errno has been set appropriately.

SEE ALSO

ieee1284_release(3)

AUTHOR

Tim Waugh <twaugh@redhat.com>

    Author.

COPYRIGHT
Copyright © 2001-2003 Tim Waugh